/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "button.h"

CButton::CButton(QPixmap *img,int pos_x,int pos_y)
{
  m_image = img;
  m_posx = pos_x;
  m_posy = pos_y;
  m_width = img->width();
  m_height = img->height();
}
CButton::~CButton()
{
}
void CButton::draw(QPainter *paint)
{
  paint->drawPixmap( m_posx, m_posy, *m_image);
}
int CButton::isOn(int x, int y)
{

  if( (m_posx <=  x) && ( x <= m_posx + m_width) 
      && (m_posy <= y ) && (y <= m_posy + m_height))
    return 1;

  return 0;
}

int CButton::getPosX()
{
  return m_posx;
}
int CButton::getPosY()
{
  return m_posy;
}
QPixmap* CButton::GetImage()
{
  return m_image;
}
void CButton::SetImage(QPixmap *img)
{
  m_image = img;
}
